aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorPaul Morgan <jumanjiman@gmail.com>2016-08-18 20:00:31 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-21 22:06:19 +0200
commit6a00a953ba02bab6440a2c784e7db37c6eaeace1 (patch)
tree70d43d9a2931bdcef0e0790e6bbb2b947b3da618 /community
parent26d3bc32b05d518bf74bdc7062983dc66800300b (diff)
downloadaports-6a00a953ba02bab6440a2c784e7db37c6eaeace1.tar.gz
aports-6a00a953ba02bab6440a2c784e7db37c6eaeace1.tar.bz2
aports-6a00a953ba02bab6440a2c784e7db37c6eaeace1.tar.xz
community/editorconfig: bump version and move from testing
Diffstat (limited to 'community')
-rw-r--r--community/editorconfig/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/community/editorconfig/APKBUILD b/community/editorconfig/APKBUILD
new file mode 100644
index 0000000000..b93b5dabcc
--- /dev/null
+++ b/community/editorconfig/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor:
+# Maintainer: Paul Morgan <jumanjiman@gmail.com>
+pkgname=editorconfig
+pkgver=0.12.1
+pkgrel=0
+pkgdesc="EditorConfig core library written in C (for use by plugins supporting EditorConfig parsing)"
+url="https://github.com/editorconfig/editorconfig-core-c"
+arch="x86_64"
+license="BSD" # "Simplified" http://opensource.org/licenses/BSD-2-Clause
+depends=""
+depends_dev=""
+makedepends="$depends_dev cmake doxygen pcre-dev"
+install=""
+options=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/editorconfig/editorconfig-core-c/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-core-c-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ cmake . \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DINI_ALLOW_MULTILINE=1 \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ # Remove symlink to editorconfig-$pkgver
+ rm -f "$pkgdir/usr/bin/$pkgname" || return 1
+ # Rename editorconfig-$pkgver as editorconfig
+ mv -f "$pkgdir/usr/bin/$pkgname-$pkgver" "$pkgdir/usr/bin/$pkgname" || return 1
+}
+
+md5sums="f15a4d417c405c8de54f132dc3429e46 editorconfig-0.12.1.tar.gz"
+sha256sums="c7bd714c73f01edde583b059b51078173aa85a36fa05bb9652d35a75fe0ac372 editorconfig-0.12.1.tar.gz"
+sha512sums="3517f7db84d632615ba651eeafab6730739b7bf01f4ea34fbca65f58463fbbcbabc101587b289a7922b55708453262c65569077c51087424d47d0676dc1db686 editorconfig-0.12.1.tar.gz"